Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.atna.audit.messages
Class PatientRecordMessage

    java.lang.Object
      org.eclipse.ohf.ihe.atna.audit.messages.AuditMessage
          org.eclipse.ohf.ihe.atna.audit.messages.PatientRecordMessage

All Implemented Interfaces:
  java.io.Serializable

    public class PatientRecordMessage

extends AuditMessage
implements java.io.Serializable

Java class for ExportMessage .

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `CREATE` Use to indicate that this event is a Patient Record Create Event
`static java.lang.String` | `DELETE` Use to indicate that this event is a Patient Record Delete Event
`static java.lang.String` | `PROP_SAMPLE_PROPERTY`
`static java.lang.String` | `READ` Use to indicate that this event is a Patient Record Access (or Read) Event
`static java.lang.String` | `UPDATE` Use to indicate that this event is a Patient Record Update Event

Fields inherited from class org.eclipse.ohf.ihe.atna.audit.messages.AuditMessage
`DB_AuditMessage, VARCHAR_LENGTH`

Constructor Summary
`PatientRecordMessage()` Default constructor ...
`PatientRecordMessage(java.lang.String eventDateTime, int eventOutcomeIndicator, java.lang.String eventActionCode, java.lang.String userIDActiveParticipantUser, java.lang.String participantObjectPatientId)` Constructor of the patient record event audit message.

Method Summary
`void` | `addPropertyChangeListener(java.beans.PropertyChangeListener listener)`
`java.lang.String` | `getSampleProperty()`
`void` | `removePropertyChangeListener(java.beans.PropertyChangeListener listener)`
`void` | `setSampleProperty(java.lang.String value)`

Methods inherited from class org.eclipse.ohf.ihe.atna.audit.messages.AuditMessage
`getAuditSourceIdentification, getEventIdentification, getParticipantObjectIdentification, IsValid, main, parse, setActiveParticipant, setAuditSourceId, setAuditSourceIdentification, setEventDateTime, setEventIdentification, setEventOutcomeIndicator, setParticipantObjectId, setParticipantObjectQuery, setParticipationObjectIdentification, setUserIDActiveParticipantConsumer, setUserIDActiveParticipantRegistry, toHtml, toXml`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### READ

    public static final java.lang.String READ

  Use to indicate that this event is a Patient Record Access (or Read) Event

  See Also:
    Constant Field Values

### CREATE

    public static final java.lang.String CREATE

  Use to indicate that this event is a Patient Record Create Event

  See Also:
    Constant Field Values

### UPDATE

    public static final java.lang.String UPDATE

  Use to indicate that this event is a Patient Record Update Event

  See Also:
    Constant Field Values

### DELETE

    public static final java.lang.String DELETE

  Use to indicate that this event is a Patient Record Delete Event

  See Also:
    Constant Field Values

### PROP_SAMPLE_PROPERTY

    public static final java.lang.String PROP_SAMPLE_PROPERTY

See Also:
  Constant Field Values

Constructor Detail

### PatientRecordMessage

    public PatientRecordMessage(java.lang.String eventDateTime,
                                int eventOutcomeIndicator,
                                java.lang.String eventActionCode,
                                java.lang.String userIDActiveParticipantUser,
                                java.lang.String participantObjectPatientId)
                         throws javax.xml.parsers.ParserConfigurationException,
                                javax.xml.parsers.FactoryConfigurationError,
                                ATNAException

  Constructor of the patient record event audit message. Creates the message, fill the AuditMessage data, create the XML nodes with DOM.

  Parameters:
    `eventDateTime` - Date of the message generation, it should have this format :
    2006-07-05T19:28:00.140-04:00
    `eventOutcomeIndicator` - The eventOutcomeIndicator should be :
    0 : Success
    4 : Minor failure
    8 : Serious failure
    12: Major failure; action made unavailable
    `eventActionCode` - code identifying the action that was done on the patient record. This is to be selected among `org.eclipse.ohf.ihe.atna.audit.messages.PatientRecordMessage.READ`, `org.eclipse.ohf.ihe.atna.audit.messages.PatientRecordMessage.CREATE`, `org.eclipse.ohf.ihe.atna.audit.messages.PatientRecordMessage.UPDATE`, `org.eclipse.ohf.ihe.atna.audit.messages.PatientRecordMessage.DELETE`
    `userIDActiveParticipantUser` - Id of the user manipulating/reading the patient record
    `participantObjectPatientId` - Id of the patient
  Throws:
    `javax.xml.parsers.ParserConfigurationException`
    `javax.xml.parsers.FactoryConfigurationError`
    `ATNAException`

### PatientRecordMessage

    public PatientRecordMessage()
                         throws javax.xml.parsers.ParserConfigurationException,
                                javax.xml.parsers.FactoryConfigurationError,
                                ATNAException

  Default constructor ... not sure why this is used ... but it should not be unless the user intends to complete the remaining fields for it does not form a complete export audit event message.
  Will create a Patient Record Audit message with the event action code set to 'R' for read which indicates that this Paitent Record has been Accessed only and not modified in any way.

  Throws:
    `javax.xml.parsers.ParserConfigurationException`
    `javax.xml.parsers.FactoryConfigurationError`
    `ATNAException`

Method Detail

### getSampleProperty

    public java.lang.String getSampleProperty()

### setSampleProperty

    public void setSampleProperty(java.lang.String value)

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener listener)

### removePropertyChangeListener

    public void removePropertyChangeListener(java.beans.PropertyChangeListener listener)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD